#ErrorStdOut
SetBatchLines -1
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#SingleInstance Off
DetectHiddenWindows, On
SetTitleMatchMode, 2
SetKeyDelay, 10


Global chromeInst,pageInst,chromeExe,chromeProfile

/*
my chrome.ini contents

[Internal]
chromeExe=E:\Portables2\Chrome\App\Chrome-bin\chrome.exe
chromeProfile=C:\ahk\chromeProfile

*/


IniRead, chromeExe, chrome.ini, Internal, chromeExe, %A_Space%
IniRead, chromeProfile, chrome.ini, Internal, chromeProfile, C:\ahk\chromeProfile

IfNotExist, %chromeProfile%
	FileCreateDir, %chromeProfile%
chm_app(chromeExe, chromeProfile,  A_ScriptDir "\NeutronC.2.html", 800, 550)
	
; Set up a timer to demonstrate making dynamic page updates every so often.
WinWait, NeutronC App

OnExit, cleanup
Return


handler(data) {
	;name of this function is defined in the html
	If (chm_getVal("nc_type",data) = "button")
		msgbox % "You clicked "  chm_getVal("nc_innerText",data)

	If (chm_getVal("nc_id",data) = "form1")
		msgbox % chm_getVal("nc_formData",data)
}

cleanup:
	;delete profile folder on exit - not everyone might want to do that!
    ;rmDir is faster than FileRemoveDir, and also runs in background asynchronously
	Run, %comspec% /c echo y|rmDir /s "%chromeProfile%",, Hide
	
	chm_exit(chromeInst)
ExitApp

#Include f_chrome.ahk
